libzypp 17.37.10

ztui::mbs::MbsWriteWrapped::ScopedIndentIncrement Struct Reference

Temporarily increase indent. More...

`#include <zypp-tui/utils/text.h>`

Inheritance diagram for ztui::mbs::MbsWriteWrapped::ScopedIndentIncrement:

## Public Member Functions
| ScopedIndentIncrement (MbsWriteWrapped &mww_r, size_t increment_r)

## Additional Inherited Members
Private Member Functions inherited from zypp::DtorReset
| DtorReset ()
template<class TVar>
| DtorReset (TVar &var_r)
template<class TVar, class TVal>
| DtorReset (TVar &var_r, const TVal &val_r)

## Detailed Description

Temporarily increase indent.

Definition at line 348 of file text.h.

## Constructor & Destructor Documentation

## ◆ ScopedIndentIncrement()

ztui::mbs::MbsWriteWrapped::ScopedIndentIncrement::ScopedIndentIncrement | ( | MbsWriteWrapped & | mww_r,
|  | size_t | increment_r )
| inline

Definition at line 350 of file text.h.

The documentation for this struct was generated from the following file:

- zypp-tui/utils/text.h